### Function

# GLib atomic_int_get

since: 2.4

#### Declaration [src]

    gint
    g_atomic_int_get (
      volatile const gint* atomic
    )

#### Description [src]

Gets the current value of `atomic`.

This call acts as a full compiler and hardware memory barrier (before the get).

While `atomic` has a `volatile` qualifier, this is a historical artifact and the pointer passed to it should not be `volatile`.

Available since: 2.4

#### Parameters

`atomic`

  Type: `volatile const gint*`

  A pointer to a #gint or #guint.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

The value of the integer.